using System;

namespace Takmicenje_Sudar_Brojeva
{
    class Program
    {
        static void Main(string[] args)
        {
            int x = int.Parse(Console.ReadLine());
            int y = int.Parse(Console.ReadLine());
            string resenje = "";
            while(x % 10 != 0 || y % 10 != 0)
            {
                if(x != 0 && y != 0)
                {
                    if(x % 10 > y % 10)
                    {
                        resenje += (x % 10).ToString();
                    }
                    else if (x % 10 < y % 10)
                    {
                        resenje += (y % 10).ToString();
                    }
                    else
                    {
                        resenje += (x % 10).ToString();
                        resenje += (y % 10).ToString();
                    }
                    x /= 10;
                    y /= 10;
                }
                if(x == 0 && y != 0)
                {
                    resenje += (y % 10).ToString();
                    y /= 10;
                }
                if(x != 0 && y == 0)
                {
                    resenje += (x % 10).ToString();
                    x /= 10;
                }
            }
            for (int i = resenje.Length - 1; i >= 0; i--)
                Console.Write(resenje[i]);
        }
    }
}